Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.sql.generator
Interface SqlGenerator

All Known Implementing Classes:
  BasicSqlGenerator

    public interface SqlGenerator

Method Summary
`Sql` | `countAll()`
`Sql` | `countByExample(Object example)`
`Sql` | `countByExamples(Object... examples)`
`Sql` | `deleteAll()`
`Sql` | `deleteByExample(Object example)`
`Sql` | `deleteByExamples(Object... examples)`
`Sql` | `deleteById(Object id)`
`Sql` | `deleteByIds(Object... ids)`
`Sql` | `insert(String propExpr, Object entity)`
`Sql` | `selectAll(String propExpr, String orderExpr)`
`Sql` | `selectByExample(String propExpr, String orderExpr, Object example)`
`Sql` | `selectByExamples(String propExpr, String orderExpr, Object... examples)`
`Sql` | `selectById(String propExpr, Object id)`
`Sql` | `selectByIds(String propExpr, String orderExpr, Object... ids)`
`Sql` | `updateAll(String propExpr, Object entity)`
`Sql` | `updateByExample(String propExpr, Object entity, Object example)`
`Sql` | `updateByExamples(String propExpr, Object entity, Object... examples)`
`Sql` | `updateById(String propExpr, Object entity, Object id)`
`Sql` | `updateByIds(String propExpr, Object entity, Object... ids)`

Method Detail

### countAll

    Sql countAll()

### countByExample

    Sql countByExample(Object example)

### countByExamples

    Sql countByExamples(Object... examples)

### selectAll

    Sql selectAll(String propExpr,
                  String orderExpr)

### selectByExample

    Sql selectByExample(String propExpr,
                        String orderExpr,
                        Object example)

### selectByExamples

    Sql selectByExamples(String propExpr,
                         String orderExpr,
                         Object... examples)

### selectById

    Sql selectById(String propExpr,
                   Object id)

### selectByIds

    Sql selectByIds(String propExpr,
                    String orderExpr,
                    Object... ids)

### insert

    Sql insert(String propExpr,
               Object entity)

### updateAll

    Sql updateAll(String propExpr,
                  Object entity)

### updateByExample

    Sql updateByExample(String propExpr,
                        Object entity,
                        Object example)

### updateByExamples

    Sql updateByExamples(String propExpr,
                         Object entity,
                         Object... examples)

### updateById

    Sql updateById(String propExpr,
                   Object entity,
                   Object id)

### updateByIds

    Sql updateByIds(String propExpr,
                    Object entity,
                    Object... ids)

### deleteAll

    Sql deleteAll()

### deleteByExample

    Sql deleteByExample(Object example)

### deleteByExamples

    Sql deleteByExamples(Object... examples)

### deleteById

    Sql deleteById(Object id)

### deleteByIds

    Sql deleteByIds(Object... ids)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.